Cant download elements with latest mac version

New Here ,
Dec 07, 2020 Dec 07, 2020

Copy link to clipboard

Copied

I purchased Photoshop Elements 2021 but it wont download as it says i need at least version 10.14 . I have a MacOS High Sierra version 10.13.6. I checked for an update but my version is as high as it goes, it doesnt have a 10.14 version ??

TOPICS
Installation

Views

61

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Dec 07, 2020 Dec 07, 2020

Copy link to clipboard

Copied

macOS 10.14 (mojave), 10.15 (catalina) and 11.0 (big sur) are all out there. However, if you have an old Mac, you might not be able to run them. What is your exact Mac model, including year, as shown by "About this Mac"?

(Warning: Catalina and Big Sur will block ALL your old apps).

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 07, 2020 Dec 07, 2020

Copy link to clipboard

Copied

Hi, Thanks for your reply ......its a High Sierra...... imac (retina 5K, 27", late 2014. I presently run Elements 2017 but bought 2021 buit wont uplaod as it says i need version 10.14 ans latest version for mine is 10.13.6

gary

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Dec 07, 2020 Dec 07, 2020

Copy link to clipboard

Copied

Your Mac will run Mojave and Catalina. How do you check for updates? NB it's a big step, check all apps for compatibility. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Dec 07, 2020 Dec 07, 2020

Copy link to clipboard

Copied

LATEST

A 2014 iMac can run at least Mojave and more than likely Catalina, 10.15.x

 

You update the os from the Apple "Mac" Store.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines